const test = require("ava");

const { diffChars, diffLines } = require("../index");

test("diff chars", (t) => {
  const left = "asd";
  const right = "asd";
  const result = diffChars(left, right);
  t.is(result.length, 1);
  t.is(result[0].count, 3);
  t.is(result[0].value, "asd");
  t.is(result[0].added, false);
  t.is(result[0].removed, false);
});

test("diff lines", (t) => {
  const left = "asd\ndsa";
  const right = "asd\nddd\nvvv\n\na";
  const result = diffLines(left, right);

  t.is(result.length, 3);
  t.is(result[0].count, 1);
  t.is(result[1].count, 1);
  t.is(result[2].count, 4);
});
